Subject: bug#22814: 25.0.91; Emacs runs out of file descriptors on OS X

From: Michael Albinus <[email-masked]>
Date: Sat, 27 Feb 2016 14:00:14 +0100

Eli Zaretskii <[email-masked]> writes:

> Still, the "hangs" part is troubling.  Do your findings explain why
> Emacs would hang doing anything when it runs out file descriptors?

No idea. My test returned a file-error, which sounds appropriate. File
notification (kqueue) seems to behave proper, reporting this.

Best regards, Michael.